Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.tagger.maxent
Class Extractors

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.Extractors

All Implemented Interfaces:
  Serializable

    public class Extractors

extends Object
implements Serializable

Maintains a set of feature extractors and applies them.

Author:
  Kristina Toutanova
See Also:
  Serialized Form

Constructor Summary
`Extractors()`

Method Summary
`int` | `getSize()`
`static void` | `main(String[] args)` Prints out the pair of `Extractors` objects found in the file that is the first and only argument.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Extractors

    public Extractors()

Method Detail

### getSize

    public int getSize()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### main

    public static void main(String[] args)

  Prints out the pair of `Extractors` objects found in the file that is the first and only argument.

  Parameters:
    `args` - Filename of extractors file (standardly written with `.ex`extension)``

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group